# $Revision: 1.31 $, $Date: 2009/07/06 11:09:45 $
Summary:	GNOME CUPS library
Summary(pl.UTF-8):	Biblioteka GNOME CUPS
Name:		libgnomecups
Version:	0.2.3
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libgnomecups/0.2/%{name}-%{version}.tar.bz2
# Source0-md5:	dc4920c15c9f886f73ea74fbff0ae48b
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cups-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.12.1
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.8b
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME CUPS library - wrapper for CUPS library.

%description -l pl.UTF-8
Biblioteka GNOME CUPS - będąca interfejsem do biblioteki CUPS.

%package devel
Summary:	Devel files for libgnomecups
Summary(pl.UTF-8):	Pliki nagłówkowe libgnomecups
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cups-devel
Requires:	glib2-devel >= 1:2.12.1
Requires:	openssl-devel >= 0.9.8b

%description devel
Devel files for libgnomecups.

%description devel -l pl.UTF-8
Pliki nagłówkowe libgnomecups.

%package static
Summary:	libgnomecups static library
Summary(pl.UTF-8):	Statyczna biblioteka libgnomecups
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomecups static library.

%description static -l pl.UTF-8
Statyczna biblioteka libgnomecups.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libgnomecups*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomecups*.so
%{_libdir}/libgnomecups*.la
%{_includedir}/%{name}-1
%{_pkgconfigdir}/%{name}*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomecups*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomecups.spec,v $
Revision 1.31  2009/07/06 11:09:45  baggins
- rel 2

Revision 1.30  2008/02/06 16:07:42  patrys
- 0.2.3

Revision 1.29  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.27  2007/01/05 18:44:02  arekm
- rel 6

Revision 1.26  2006/08/07 19:05:51  freetz
- rel.5

Revision 1.25  2006/07/12 18:06:11  freetz
- rel.4, updated deps, --as-needed support

Revision 1.24  2006/06/07 15:17:16  freetz
- rel.3, bleeding edge deps

Revision 1.23  2006/03/20 20:50:44  freetz
- rel.2

Revision 1.22  2005/09/29 09:57:23  freetz
- 0.2.2

Revision 1.21  2005/09/06 18:07:46  aflinta
- 0.2.1

Revision 1.20  2005/06/26 20:45:09  zbyniu
- R: cups-devel, openssl-devel in -devel; rel 3, STBR

Revision 1.19  2005/06/06 21:24:43  zbyniu
- BR: gettext-devel, intltool, openssl-devel, pkgconfig

Revision 1.18  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.17  2005/04/10 17:05:54  freetz
- new style macros, rel.2

Revision 1.16  2005/03/09 19:52:55  paladine
- updated to 0.2.0

Revision 1.15  2004/12/22 00:15:40  grzegol
- updated to 0.1.14

Revision 1.14  2004/10/05 22:28:09  grzegol
- updated to 0.1.13

Revision 1.13  2004/09/15 18:24:38  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.12  2004/09/13 20:36:19  grzegol
- updated to 0.1.12
- removed locale-names patch and remove no locale in %%install

Revision 1.11  2004/08/24 21:00:55  aflinta
- up to version 0.1.11

Revision 1.10  2004/08/18 16:17:16  aflinta
- up to version 0.1.10

Revision 1.9  2004/07/23 11:51:02  grzegol
- updated to 0.1.9
- added locale-names patch (rename locale no -> nb)
- rebuild lt/ac/ac/am
- added R: glib2-devel to -devel subpackage

Revision 1.8  2004/06/05 04:35:12  aflinta
- up to version 0.1.8

Revision 1.7  2004/04/04 20:50:41  qboosh
- BR: automake, strict internal deps, release 2

Revision 1.6  2004/03/09 17:28:53  andree
- copy config.sub .

Revision 1.5  2003/08/05 23:40:53  grzegol
- updated to 0.1.6

Revision 1.4  2003/07/02 14:37:05  aflinta
- version 0.1.5

Revision 1.3  2003/06/26 14:21:44  qboosh
- descriptions, moved base docs to base

Revision 1.2  2003/06/23 21:15:22  aflinta
- added doc and BR's

Revision 1.1  2003/06/23 21:12:44  aflinta
- PLD initial release
